function y=equat(K);

DVPROP=11560;
Mu=2170;
% Impulsions spcifiques
Isp1=2650;Isp2=2950;Isp3=4320;

% Indices constructifs
w1=0.1073;w2=0.135;w3=0.1735;

% Indices rduits

Gw1=w1/(1+w1);Gw2=w2/(1+w2);Gw3=w3/(1+w3);

% Incrments de vitesse
 dv1=Isp1.*log(Isp1.*Gw1./(Isp1-K));
 dv2=Isp2.*log(Isp2.*Gw2./(Isp2-K));
 dv3=Isp3.*log(Isp3.*Gw3./(Isp3-K));

equat=dv1+dv2+dv3+DVPROP;

y=equat;

dv1,dv2,dv3,y,
x1=Isp1.*Gw1./(Isp1-K),
x2=Isp2.*Gw2./(Isp2-K),
x3=Isp3.*Gw3./(Isp3-K),

mu1=(1+w1)*x1-w1,
mu2=(1+w2)*x2-w2,
mu3=(1+w3)*x3-w3,

rap=1./(mu1.*mu2.*mu3),

mo1=Mu*rap,
mp1=mo1*(1-x1),
ms1=mp1*w1,
mo2=mo1*mu1,
mp2=mo2*(1-x2),
ms2=mp2*w2,
mo3=mo2*mu2,
mp3=mo3*(1-x3),
ms3=mp3*w3,
msat=mo3-mp3-ms3,
end;

